const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
{
method: 'PUT',
headers: {
'Authorization': 'APIKEY your-api-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
AuthenticationValue: 'AJkBAoEREQAAAAB4hABwcAAAAAA=',
Version: '2.1.0',
eci: '05',
ThreeDSeciIndication: 'Authenticated',
XID: '861433f4-abff-4c40-b2fd-fea208856a33',
AcsTransactionId: 'e7a46959-9630-413e-ab56-4e399b96244a'
})
}
);
console.log(response.status);
import requests
response = requests.put(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
headers={
'Authorization': 'APIKEY your-api-key',
'Content-Type': 'application/json'
},
json={
'AuthenticationValue': 'AJkBAoEREQAAAAB4hABwcAAAAAA=',
'Version': '2.1.0',
'eci': '05',
'ThreeDSeciIndication': 'Authenticated',
'XID': '861433f4-abff-4c40-b2fd-fea208856a33',
'AcsTransactionId': 'e7a46959-9630-413e-ab56-4e399b96244a'
}
)
print(response.status_code)
Empty response body. 3D Secure data stored successfully.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY or Temp Session or One-Time Accesss Token",
"errorList": null
}
3D Secure
Store 3D Secure Data
Store 3D Secure authentication data on a token.
PUT
/
api
/
payments
/
paycard
/
{cardToken}
/
3dToken
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
{
method: 'PUT',
headers: {
'Authorization': 'APIKEY your-api-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
AuthenticationValue: 'AJkBAoEREQAAAAB4hABwcAAAAAA=',
Version: '2.1.0',
eci: '05',
ThreeDSeciIndication: 'Authenticated',
XID: '861433f4-abff-4c40-b2fd-fea208856a33',
AcsTransactionId: 'e7a46959-9630-413e-ab56-4e399b96244a'
})
}
);
console.log(response.status);
import requests
response = requests.put(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
headers={
'Authorization': 'APIKEY your-api-key',
'Content-Type': 'application/json'
},
json={
'AuthenticationValue': 'AJkBAoEREQAAAAB4hABwcAAAAAA=',
'Version': '2.1.0',
'eci': '05',
'ThreeDSeciIndication': 'Authenticated',
'XID': '861433f4-abff-4c40-b2fd-fea208856a33',
'AcsTransactionId': 'e7a46959-9630-413e-ab56-4e399b96244a'
}
)
print(response.status_code)
Empty response body. 3D Secure data stored successfully.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY or Temp Session or One-Time Accesss Token",
"errorList": null
}
3DS Authentication Guide
Store and manage 3D Secure authentication data
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
| -179 | 400 | ThreeDSecureInfo is null or Version does not start with “1.” or “2.” |
| -1003 | 401 | User is not the owner |
| -150 | 500 | Failed to store 3DS data |
Parameter Constraints
- ThreeDSecIndication is required and must be
AuthenticatedorTechnicalProblem. - AuthenticationValue has a max length of 256 characters and is required when ThreeDSecIndication is
Authenticated. - Eci has a max length of 2 characters.
- Version must start with “1.” or “2.”.
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The token ID as returned by one of the tokenization methods. For example,
2821a46d80e14d1b96a7f18f1b81926d.Request Body
string
required
The cardholder’s Authentication Verification Value (AVV). e.g.
1234567890. Max 256 characters.string
required
The version of 3DS authentication used. Should start with either “1” or “2”. Max 5 characters.
string
The Electronic Commerce Indicator (ECI) value. e.g.
12.string
The 3D Secure authentication decision. Accepted values: Authenticated, TechnicalProblem, CardNotEnrolled.
string
The 3DS transaction ID for 3DS version 1.0 (
XID) and version 2.0 (3DS_Trans_ID). Max 40 characters.string
Unique transaction identifier assigned by the Access Control Server (ACS) to identify a single 3D Secure transaction.
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
{
method: 'PUT',
headers: {
'Authorization': 'APIKEY your-api-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
AuthenticationValue: 'AJkBAoEREQAAAAB4hABwcAAAAAA=',
Version: '2.1.0',
eci: '05',
ThreeDSeciIndication: 'Authenticated',
XID: '861433f4-abff-4c40-b2fd-fea208856a33',
AcsTransactionId: 'e7a46959-9630-413e-ab56-4e399b96244a'
})
}
);
console.log(response.status);
import requests
response = requests.put(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
headers={
'Authorization': 'APIKEY your-api-key',
'Content-Type': 'application/json'
},
json={
'AuthenticationValue': 'AJkBAoEREQAAAAB4hABwcAAAAAA=',
'Version': '2.1.0',
'eci': '05',
'ThreeDSeciIndication': 'Authenticated',
'XID': '861433f4-abff-4c40-b2fd-fea208856a33',
'AcsTransactionId': 'e7a46959-9630-413e-ab56-4e399b96244a'
}
)
print(response.status_code)
Response
201 - 3D Secure data stored successfully.Empty response body. 3D Secure data stored successfully.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY or Temp Session or One-Time Accesss Token",
"errorList": null
}

